## gnome-shell-extension-hamster 0.10.0+git20200509

=== debian/changelog ===
gnome-shell-extension-hamster (0.10.0+git20200509-2) unstable; urgency=medium

  * No change source only upload.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 03 Feb 2021 18:40:08 +0100

gnome-shell-extension-hamster (0.10.0+git20200509-1) unstable; urgency=medium

  * Initial release (Closes: #975974)

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 27 Nov 2020 14:45:40 +0100
