=== debian/control ===
Source: gnome-shell-extension-hamster
Section: gnome
Priority: optional
Maintainer: Project Hamster Team <team+project-hamster@tracker.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Matthijs Kooijman <matthijs@stdin.nl>
Build-Depends: debhelper-compat (= 13),
# For the docs
 sphinx,
# For glib-compile-schemas
 libglib2.0-bin
Standards-Version: 4.5.1
Homepage: https://github.com/projecthamster/hamster-shell-extension/
Vcs-Browser: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster
Vcs-Git: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster.git
Rules-Requires-Root: no

Package: gnome-shell-extension-hamster
Architecture: all
Depends:
 hamster-time-tracker,
 gnome-shell (>= 3.38),
 ${misc:Depends}
Description: GNOME Shell extension for the Hamster Time Tracker
 Project Hamster helps you to keep track of how much time you spend on various
 activities during the day. Whenever you move from one task to another, you
 can change your current activity, or you can record time spent afterwards.
 .
 It can present graphical statistics of how long you have spent on each task,
 and may be useful for project management or keeping employee timesheets.
 .
 This package provides a GNOME Shell extension allowing to quickly enter new
 activities from GNOME's desktop top bar.
