=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make dist

override_dh_auto_install:
	# We need to override because DESTDIR needs /usr in it
	make install DESTDIR=$(CURDIR)/debian/gnome-shell-extension-hamster/usr
