=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d.*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, \
      uversionmangle=s%-(rc\d+|beta|)%~$1%" \
https://github.com/projecthamster/hamster-shell-extension/tags \
        .*/archive/v?@ANY_VERSION@.tar.gz
