## gnome-shell-extension-hamster 0.10.0+git20210628

=== debian/changelog ===
gnome-shell-extension-hamster (0.10.0+git20210628-4) unstable; urgency=medium

  [ Jesús Soto ]
  * Add patch to mark compatible with GNOME Shell 43
  * debian/control: Bump maximum gnome-shell to 43 (Closes: #1018269)

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.6.1

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 12 Sep 2022 11:49:25 +0200

gnome-shell-extension-hamster (0.10.0+git20210628-3) unstable; urgency=medium

  * Document compatibility with GNOME 42 (Closes: #1008549)

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 31 Mar 2022 22:49:01 +0200

gnome-shell-extension-hamster (0.10.0+git20210628-2) unstable; urgency=medium

  * Document compatibility with GNOME Shell 41.
    Tighten the gnome-shell dependency to not allow usage with gnome-shell 42.
    (Closes: #996060)

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 18 Oct 2021 15:15:36 +0200

gnome-shell-extension-hamster (0.10.0+git20210628-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0
  * New upstream version 0.10.0+git20210628
    - Documents compatibility with GNOME 40. Closes: #993186

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 22 Sep 2021 10:32:08 +0200
