=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  sphinx,
 # For glib-compile-schemas
  libglib2.0-bin
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/projecthamster/hamster-shell-extension/
 Vcs-Browser: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster
 Vcs-Git: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster.git
@@ -19,6 +19,7 @@
 Depends:
  hamster-time-tracker,
  gnome-shell (>= 3.38),
+ gnome-shell (<< 44~),
  ${misc:Depends}
 Description: GNOME Shell extension for the Hamster Time Tracker
  Project Hamster helps you to keep track of how much time you spend on various
