## gnome-shell-extension-hamster 0.10.0+git20240714

=== debian/changelog ===
gnome-shell-extension-hamster (0.10.0+git20240714-3) unstable; urgency=medium

  * Add patch to support GNOME 48. Closes: #1096048

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 14 Mar 2025 12:08:13 +0100

gnome-shell-extension-hamster (0.10.0+git20240714-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079250)
  * Bump maximum GNOME Shell to 47

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.7.0

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 22 Sep 2024 14:42:07 +0200

gnome-shell-extension-hamster (0.10.0+git20240714-1) unstable; urgency=medium

  * Acknowledge NMU. Reupload as it seems the NMU got lost in the delayed
    queue. (Closes: #1052101)

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 22 Jul 2024 21:24:12 +0200

gnome-shell-extension-hamster (0.10.0+git20240714-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream git snaphsot with GNOME Shell 46 compat. (Closes: #1052101)
  * Update version constraints on gnome-shell, as this version is only
    compatible with GNOME Shell 45 and up.

 -- Tobias Frost <tobi@debian.org>  Sun, 14 Jul 2024 09:43:35 +0200

gnome-shell-extension-hamster (0.10.0+git20230901-1) unstable; urgency=medium

  * New upstream git snapshot with GNOME Shell 44 compat. (Closes: #1041574)
  * Removes all patches.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 01 Sep 2023 08:43:28 +0200

gnome-shell-extension-hamster (0.10.0+git20210628-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update compatilbity patch for GNOME shell 44. (Closes: #1041574)

 -- Tobias Frost <tobi@debian.org>  Tue, 29 Aug 2023 10:58:19 +0200
