=== debian/changelog ===
gnome-shell-extension-hamster (0.10.0+git20251003-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Automatically update supported GNOME Shell versions by parsing metadata.json

  [ Raphaël Hertzog ]
  * New upstream version 0.10.0+git20251003

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 03 Oct 2025 09:52:24 +0200
