=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
 Architecture: all
 Depends:
  hamster-time-tracker,
- gnome-shell (>= 45),
- gnome-shell (<< 49~),
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
  ${misc:Depends}
 Description: GNOME Shell extension for the Hamster Time Tracker
  Project Hamster helps you to keep track of how much time you spend on various
