=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,10 @@
 override_dh_auto_install:
 	# We need to override because DESTDIR needs /usr in it
 	make install DESTDIR=$(CURDIR)/debian/gnome-shell-extension-hamster/usr
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; \
+		print(min(int(x) for x in json.load(open('data/metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; \
+		print(1+max(int(x) for x in json.load(open('data/metadata.json', 'rt'))['shell-version']))")
